# Symplectic group over GF2

`numqi.group.spf2`

canonical ordering of symplectic group elements, implements the algorithms in paper

[doi-link](https://doi.org/10.1063%2F1.4903507) How to efficiently select an arbitrary clifford group element

::: numqi.group.spf2.get_number
    options:
      heading_level: 2

::: numqi.group.spf2.get_inner_product
    options:
      heading_level: 2

::: numqi.group.spf2.int_to_bitarray
    options:
      heading_level: 2

::: numqi.group.spf2.bitarray_to_int
    options:
      heading_level: 2

::: numqi.group.spf2.schmidt_orthogonalization
    options:
      heading_level: 2

::: numqi.group.spf2.transvection
    options:
      heading_level: 2

::: numqi.group.spf2.find_transvection
    options:
      heading_level: 2

::: numqi.group.spf2.from_int_tuple
    options:
      heading_level: 2

::: numqi.group.spf2.to_int_tuple
    options:
      heading_level: 2

::: numqi.group.spf2.inverse
    options:
      heading_level: 2
